#centreXBegin, centreYBegin = 75, 70   #position of centre of central zone at 0hrs
centre3DBegin = [58.0, 65.0, 188*0.26/1.408]  #3D position of centre of central zone at 0hrs
lowCutOffValue, highCutOffValue = -0.5, 0.5
diceThreshold = 0.0
meanNormalationForDataCleaning = False

#centreXEnd, centreYEnd = #position of centre of central zone at 84hrs
centre3DEnd =  [50, 65.0, 174 *0.26/1.083] #3D position of centre of central zone at 76hrs

L1centre =  [(59.096002134456022, 67.881138205470904, 35.196272822450652), (48.87738029997616, 58.720981526323328, 25.66557162789876), (35.083049037830321, 44.496642507690417, 21.082894547430147), (54.338909516266817, 54.338425750137652, 24.115472351136635), (53.015766767604866, 52.453897259270882, 26.971240434743425), (50.77547847230344, 58.362459000750697, 36.234846631922885), (59.360424298363135, 52.773738807036693, 40.377644744719063), (53.583764217418299, 57.47848089202413, 46.658005226225079), (46.506746740027872, 49.849152036898282, 35.81406318812251), (42.252987892838966, 52.088566463942094, 40.40392106110847), (48.11329659105845, 57.176960379619764, 44.563244134542522), (48.876034226223929, 58.687292727420221, 52.794506072056045), (43.452606343186652, 41.066955540723349, 27.287386421032707), (45.741881371767896, 48.721363884288017, 39.507466553127692), (55.348622806324833, 59.098861937329133, 34.164992988785578), (56.623016601986137, 60.874981046348118, 33.639520063526568), (57.246616234797678, 64.313827012357635, 33.059381563503315), (49.444615787281002, 70.676936934001034, 29.129050891708797), (59.110311969660977, 61.429467110857466, 28.906357562178698), (50.888588064841827, 65.876699258501915, 41.055366709105755)]

#L1 cells within 30 microns of L1centre
meanVolumes =  [137.55026509208298, 150.6504361537844, 142.29639773738555, 148.02941252991715, 141.2002601086906, 146.18774086562757, 143.90875527130143, 152.32451216961928, 168.64619106510088, 177.03910920742621, 185.22369163683072, 185.95167451501638, 157.96131302067968, 176.30483174496266, 193.33757998598622, 196.92952640902033, 184.22555627131786, 175.34994654897324, 176.5639384831837, 181.05010723710026]


#Parameters in identify indices script: [centreX, centreY, centreZ] = centre3DBegin, radius = 30, zThr = zRes * 60, celldiff = 2 
indicesTBegin = ["L1 central zone at 0hrs", [858, 863, 868, 786, 878, 675, 677, 679, 684, 798, 694, 698, 799, 714, 803, 728, 736, 739, 740, 860, 746, 748, 749, 775, 741, 758, 763, 770, 777, 813, 784, 788, 791, 792, 796, 801, 802, 804, 805, 812, 814, 817, 818, 819, 825, 826, 827, 828, 830, 831, 832, 833, 834, 836, 837, 838, 840, 841, 842, 844, 845, 846, 847, 824, 850, 851, 852, 853, 854, 855, 856, 857, 859, 861, 862, 864, 865, 866, 867, 870, 871, 872, 873, 874, 875, 876, 877, 829, 880, 881, 882, 883, 884, 886, 887, 888, 889, 890, 835, 839, 879, 843, 673, 759, 869, 885, 676, 848, 849]]

#Parameters in identify indices script: [centreX, centreY, centreZ] = centre3DEnd, radius = 45, zThr = zRes * 60, celldiff = 2  
indicesTEndBack = ["L1 central zone", [602, 617, 620, 621, 639, 641, 650, 659, 685, 687, 689, 690, 719, 723, 724, 725, 742, 747, 748, 750, 757, 762, 771, 778, 781, 795, 802, 804, 806, 814, 824, 831, 837, 839, 840, 842, 848, 851, 854, 855, 864, 867, 874, 875, 879, 880, 881, 887, 888, 891, 898, 904, 907, 908, 909, 910, 911, 914, 919, 924, 927, 932, 937, 938, 941, 943, 946, 949, 951, 952, 953, 954, 960, 964, 965, 966, 971, 972, 975, 977, 978, 980, 982, 986, 990, 992, 994, 996, 997, 998, 999, 1001, 1007, 1008, 1009, 1012, 1013, 1015, 1017, 1019, 1020, 1021, 1022, 1023, 1025, 1027, 1028, 1031, 1032, 1033, 1034, 1042, 1043, 1044, 1048, 1049, 1050, 1051, 1056, 1057, 1058, 1059, 1062, 1063, 1064, 1065, 1066, 1069, 1070, 1071, 1072, 1073, 1074, 1075, 1076, 1077, 1078, 1079, 1080, 1081, 1082, 1083, 1084, 1085, 1086, 1087, 1088, 1089, 1090, 1091, 1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100, 1101, 1102, 1103, 1104, 1105, 1106, 1107, 1108, 1109, 1110, 1111, 1112, 1113, 1114, 1115, 1116, 1117, 1118, 1119, 1120, 1121, 1122, 1123, 1124, 1125, 1126, 1127, 1128, 1129, 1130, 1131, 1132, 1133, 1134, 1135, 1136, 1137, 1138, 1139, 1140, 1141, 1142, 1143, 1144, 1145, 1146, 1147, 1148, 1149, 1150, 1151, 1152, 1153, 1154] ]

indicesTEndForward = ["L1 full lineages after cleaning",[975, 1023, 1017, 1069, 819, 683, 760, 879, 971, 687, 747, 771, 880, 867, 927, 924, 982, 977, 1025, 855, 881, 937, 938, 1022, 990, 1027, 1042, 916, 998, 1021, 1088, 1075, 1100, 1072, 1101, 1121, 1144, 1122, 1139, 994, 1031, 932, 980, 1032, 1065, 1048, 1084, 1089, 1076, 1092, 1113, 725, 804, 837, 904, 887, 960, 1056, 1082, 1074, 1085, 1109, 1125, 1137, 1151, 1138, 1143, 874, 907, 730, 714, 964, 965, 802, 898, 550, 689, 639, 778, 891, 941, 806, 864, 509, 650, 723, 762, 842, 875, 951, 1033, 1079, 978, 996, 1050, 1094, 1078, 1087, 1090, 1049, 1051, 1118, 1135, 1119, 1120, 1108, 1009, 1064, 1081, 1095, 1105, 1132, 1140, 1107, 1124, 1110, 1128, 1099, 1103, 1007, 1057, 1013, 1062, 1083, 1086, 1149, 1145, 1142, 1126, 1127, 1141, 1134, 1130, 1147, 824, 946, 954, 851, 919, 1001, 992, 1015, 1070, 1028, 1073, 1106, 1091, 1112, 1123, 1133, 1115, 1116, 908, 909, 781, 848, 952, 1008, 997] ] 

#radius = 60, zThr = 10 , celldiff = 2  UNCHECKED IN VIEWER
indicesL1Init = [ "initial central L1", [527, 533, 535, 537, 538, 539, 858, 547, 548, 551, 552, 553, 519, 565, 567, 570, 703, 576, 577, 583, 863, 588, 589, 593, 598, 599, 868, 602, 607, 608, 615, 616, 618, 619, 786, 625, 626, 531, 638, 789, 641, 642, 644, 645, 651, 652, 657, 658, 878, 793, 667, 671, 672, 675, 677, 679, 683, 684, 685, 798, 694, 697, 698, 799, 704, 712, 714, 715, 717, 719, 803, 724, 728, 689, 731, 732, 733, 736, 739, 740, 550, 860, 745, 746, 747, 748, 749, 775, 741, 756, 758, 761, 762, 763, 767, 770, 777, 780, 781, 782, 813, 784, 788, 790, 791, 792, 796, 801, 802, 804, 805, 809, 812, 814, 817, 818, 819, 734, 649, 825, 826, 827, 828, 830, 831, 832, 833, 834, 836, 837, 838, 840, 841, 842, 823, 844, 845, 846, 847, 824, 850, 851, 852, 853, 854, 855, 856, 857, 859, 861, 862, 864, 865, 866, 867, 870, 871, 872, 873, 874, 875, 876, 877, 829, 880, 881, 882, 883, 884, 886, 887, 888, 889, 890, 835, 839, 879, 438, 447, 843, 673, 759, 460, 629, 760, 869, 885, 676, 702, 848, 485, 849, 490, 491, 494, 499, 681, 507]
]





